#!/bin/bash
#
# Place applications to be executed when WindowMaker is started here.
# This should only be used for non-X applications or applications that
# do not support session management. Other applications should be restarted
# by the WindowMaker session restoring mechanism. For that, you should
# either set SaveSessionOnExit=YES or select "Save Session" in the Workspace
# submenu of the root menu when all applications you want started are
# running.
#
# WindowMaker will wait until this script finishes, so if you run any
# commands that take long to execute (like a xterm), put a ``&'' in the
# end of the command line.
#
# This file must be executable.
#

# polkit-gnome-authentication-agent-1
if ps ax | grep -v grep | grep "polkit-gnome-authentication-agent-1" > /dev/null
then
    echo "polkit-gnome-authentication-agent-1 is running"
else
    if [ -f /usr/lib/polkit-gnome-authentication-agent-1  ]
    then
       /usr/lib/polkit-gnome-authentication-agent-1 &
    else
       echo "polkit-gnome-authentication-agent-1 not found"
    fi
fi

# eatdirt: trade nm-applet for net_applet
if ps ax | grep -v grep | grep "net_applet" > /dev/null
then
    echo "net_applet is running"
else
    net_applet --force &
fi

